/*
CilokGaming Shaders
Newbie Player😅
*/

// Settings
#include "/lib/settings.glsl"

//Fragment Shader
#ifdef FSH

// Uniform
uniform sampler2D texture;

// Varying
in vec4 color;
in vec4 texcoord;

out vec4 colortex0Out;

// Program
void main() {
	vec4 color = texture2D(texture, texcoord.st) * color;
	
	/* DRAWBUFFERS:0 */
	colortex0Out = color;
}

#endif

//Vertex Shader
#ifdef VSH

// Varying
varying vec4 color;
varying vec4 texcoord;

// Program
void main() {
    vec4 position = gl_ModelViewMatrix * gl_Vertex;
    gl_Position = gl_ProjectionMatrix * position;
	color = gl_Color;
	texcoord = gl_TextureMatrix[0] * gl_MultiTexCoord0;
}

#endif