// Common Function
vec2 distortShadow(vec2 shadowPosition) {
  float distb = sqrt(shadowPosition.x * shadowPosition.x + shadowPosition.y * shadowPosition.y);
  float distortFactor = (1.0 - SHADOW_MAP_BIAS) +  distb * SHADOW_MAP_BIAS;

  return shadowPosition / distortFactor;
}