/*
CilokGaming Shaders
Newbie Player😅
*/

// Settings
#include "/lib/settings.glsl"

//Fragment Shader
#ifdef FSH

// Uniform
uniform sampler2D texture;

// Varying
in vec2 texcoord;

out vec4 colortex0Out;

// Include


// Program
void main() {
	vec4 color = texture2D(texture, texcoord.st);

	/* DRAWBUFFERS:0 */
	colortex0Out = color;
}

#endif

//Vertex Shader
#ifdef VSH

// Uniform

// Varying
varying vec2 texcoord;
 
// Attribute
attribute vec4 mc_Entity;

// Include
#include "/lib/distort.glsl"
 
// Program
void main() {
	gl_Position = ftransform();
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
	gl_Position.xy = distortShadow(gl_Position.xy);
	
	texcoord = (gl_TextureMatrix[0] * gl_MultiTexCoord0).xy;
}

#endif